#!/bin/bash

set -e
set -u

ip=$(ip -br a|grep UP|awk '{print $3}'|cut -f1 -d'/')

(apt install -y apache2 php php-mbstring php-xml
cd /tmp
wget http://depl.sio.lan/store/dokuwiki-stable.tgz 
tar xfz dokuwiki-stable.tgz 
mv /tmp/dokuwiki-2020-07-29 /var/www/html/doku
cd /var/www/html/
chown -R root doku
chmod -R 755 doku
cd doku
chown -R www-data lib data conf) > /dev/null 2>/dev/null
echo "Installation de DokuWiki terminee.
Connectez-vous avec un navigateur a l'adresse http://${ip}/doku/index.php"
exit 0

